<a href="https://www.magepal.com" title="Magento 2 Extensions" ><img src="https://image.ibb.co/dHBkYH/Magepal_logo.png" width="100" align="right" alt="Magento2 Extension" /></a>

# Catalog Images Lazy Load for Magento2 / Adobe Commerce

[![Total Downloads](https://poser.pugx.org/magepal/magento2-cataloglazyload/downloads)](https://packagist.org/packages/magepal/magento2-cataloglazyload)
[![Latest Stable Version](https://poser.pugx.org/magepal/magento2-cataloglazyload/v/stable)](https://packagist.org/packages/magepal/magento2-cataloglazyload)

<a href="https://www.magepal.com/magento2/extensions/catalog-enhancements.html" title="Magento 2 Extensions" >![Magento Delay Image Loading](https://user-images.githubusercontent.com/1415141/108890113-28ef6f80-75db-11eb-8156-6ee15b142861.png)</a>

Like most e-commerce site by default Magento / Adobe Commerce loads, all products images on page load, which can lead to your site becoming extremely slow on mobile or other devices as your customer browser tries to download all images which they may not even view or see. 

Our free Lazy Loading extension for Magento 2 highly improves your page loading time and Google Page Ranking by only loading product images as the user scrolls. Images are only requested and download from your server once that photo is needed and the user is about to scroll to that item. Fully integrated with default Magento 2 functionality, our lazy loading functionality is applied to product listing pages, search pages, and product detail pages to enhance the load of related, up-sell and cross-sell products as needed.

Having a good user experience is crucial to the success of your online store and improving your page loading time will lead to better conversion, improved SEO score, and page ranking.

Reduce load time by Loading images on-demand while saving server resources, bandwidth and improving your users' experience.

Improve your customer shopping experience with our new [Catalog Hover Image for Magento](https://www.magepal.com/catalog-hover-image-for-magento.html)

### What set us apart from other Magento Lazy Load extension?
A Lazy Load extension was meant to speed up your site, yet 99% of Magento 2 Lazy Load extensions make your website loading appear slower to your customer by constantly delaying loading of your photos which are worth a million words.

Unlike other Lazy Load extensions for Magento, our extension take into consideration that the first 'x' amount of products images will appear above your browser page fold on your category pages and should be displayed as quickly as possible. Therefore we skip applying lazy loading functionality for these images. 

This is important because:

1. Your site will appear to load much faster to your customer because they won't have to wait for Javascript to activate your images.
2. Your products image will start to display immediately as your browser fetches them, instead of waiting for Javascript to activate them which will normally cause 1-5 seconds delay and largely depended on the speed of your customer's computer.
3. On subsequences visit, your top 'x' images just appear because they are already cached, while other extensions will still delay loading. 

You can quickly and easily configure the number of images to show instantly base on your site need in our configurable in system configuration.


![magento2 lazy load images](https://image.ibb.co/bYO7DH/Catalog_Images_Lazy_Load_for_Magento2.gif)


### Benefits
Lazy Load extension for Magento 2 only load images within the customer viewpoint and automatically load relevant images as the customer scrolls

## Installation

##### Using Composer (recommended)

```
composer require magepal/magento2-cataloglazyload
```

## Documentation

[How to Installing Catalog Images Lazy Load for Magento2](https://www.magepal.com/help/docs/magento-lazy-load-images/#installation)

[How to setup Catalog Images Lazy Load for Magento2](https://www.magepal.com/help/docs/magento-lazy-load-images/#configuration)

Contribution
---
Want to contribute to this extension? The quickest way is to open a [pull request on GitHub](https://help.github.com/articles/using-pull-requests).


Support
---
If you encounter any problems or bugs, please open an issue on [GitHub](https://github.com/magepal/magento2-cataloglazyload/issues).

Need help setting up or want to customize this extension to meet your business needs? Please email support@magepal.com and if we like your idea we will add this feature for free or at a discounted rate.

Magento 2 Extensions
---
- [Custom SMTP](https://www.magepal.com/magento2/extensions/custom-smtp.html)
- [Catalog Hover Image for Magento](https://www.magepal.com/magento2/extensions/catalog-hover-image-for-magento.html)
- [Enhanced Success Page for Magento 2](https://www.magepal.com/magento2/extensions/enhanced-success-page.html)
- [Enhanced Transactional Emails for Magento 2](https://www.magepal.com/magento2/extensions/enhanced-transactional-emails.html)
- [Google Tag Manager](https://www.magepal.com/magento2/extensions/google-tag-manager.html) 
- [Enhanced E-commerce](https://www.magepal.com/magento2/extensions/enhanced-ecommerce-for-google-tag-manager.html) 
- [Reindex](https://www.magepal.com/magento2/extensions/reindex.html) 
- [Custom Shipping Method](https://www.magepal.com/magento2/extensions/custom-shipping-rates-for-magento-2.html) 
- [Preview Order Confirmation](https://www.magepal.com/magento2/extensions/preview-order-confirmation-page-for-magento-2.html)
- [Guest to Customer](https://www.magepal.com/magento2/extensions/guest-to-customer.html) 
- [Admin Form Fields Manager](https://www.magepal.com/magento2/extensions/admin-form-fields-manager-for-magento-2.html) 
- [Customer Dashboard Links Manager](https://www.magepal.com/magento2/extensions/customer-dashboard-links-manager-for-magento-2.html) 
- [Lazy Loader](https://www.magepal.com/magento2/extensions/lazy-load.html) 
- [Order Confirmation Page Miscellaneous Scripts](https://www.magepal.com/magento2/extensions/order-confirmation-miscellaneous-scripts-for-magento-2.html)
- [HTML Minifier for Magento2](https://www.magepal.com/magento2/extensions/html-minifier.html)

© MagePal LLC. | [www.magepal.com](https://www.magepal.com)
